Bug 35073 - man pages are incorrect for readline
Summary: man pages are incorrect for readline
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: readline   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-06 22:30 UTC by adler
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-07 00:11:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description adler 2001-04-06 22:30:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.49smp i686)


Man pages for readline don't properly tell the user where to find the
readline.h file.

Reproducible: Always
Steps to Reproduce:
1.man readline
2.It reads the readline.h is in /usr/include. (as in #include <readline.h>)
3.Write program with #include <readline.h>
4.watch complie fail.
	

I've included a simple readline test program. Notice that I have to use the
line #include <readline/readline.h> in order for the complire to find the
readline.h file. subsituting the #include line for #include <readline.h>
will not allow the test program to compile.

Comment 1 Nalin Dahyabhai 2001-04-07 01:22:16 UTC
This will be fixed in readline-4.1-9 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.